
variable "default_subplan" {
  type        = string
  description = "(Optional) Resource type pricing default subplan. Contact your MSFT representative for possible values"
  default     = null
}

variable "default_tier" {
  type        = string
  description = "(Optional) The pricing tier to use. Possible values are `Free` and `Standard`"
  default     = "Standard"
}

variable "location" {
  type        = string
  description = "(Optional) The location/region where the policy should exist."
  default     = "West Europe"
}

variable "mdc_databases_plans" {
  type        = set(string)
  description = "(Optional) Set of all MDC databases plans"
  default     = [
  "OpenSourceRelationalDatabases",
  "SqlServers",
  "SqlServerVirtualMachines",
  "CosmosDbs"
]
}

variable "mdc_plans_list" {
  type        = set(string)
  description = "(Optional) Set of all MDC plans"
  default     = [
  "AppServices",
  "Arm",
  "CloudPosture",
  "Containers",
  "KeyVaults",
  "OpenSourceRelationalDatabases",
  "SqlServers",
  "SqlServerVirtualMachines",
  "CosmosDbs",
  "StorageAccounts",
  "VirtualMachines",
  "Api"
]
}

variable "subplans" {
  type        = map(string)
  description = "(Optional) A map of resource type pricing subplan, the key is resource type. This variable takes precedence over `var.default_subplan`. Contact your MSFT representative for possible values"
  default     = {}
}

variable "tracing_tags_enabled" {
  type        = bool
  description = "Whether enable tracing tags that generated by BridgeCrew Yor."
  default     = false
}

variable "tracing_tags_prefix" {
  type        = string
  description = "Default prefix for generated tracing tags"
  default     = "avm_"
}

